import es, gamethread, cfglib

info = es.AddonInfo() 
info.name     = "SimpleNoblock" 
info.version  = "1.0" 
info.url      = "http://addons.eventscripts.com/addons/view/simplenoblock" 
info.basename = "simplenoblock" 
info.author   = "3R10N" 
es.ServerVar('simp_noblock', info.version, 'Simplistic Noblock addon').makepublic() 

config = cfglib.AddonCFG(es.getAddonPath(info.basename) + '/' + info.basename + '.cfg')
config.text('SimpleNoblock Settings')
config.text('')
simp_maplist = config.cvar('simp_maplist',  'de_dust,de_dust2,cs_office,de_nuke,cs_assualt', 'The list of maps that will have noblock active. Must be seperated with a comma')
config.write()

def load():
   config.execute()
	
def es_map_start(event_var):
   global simp_noblock_active
   simp_noblock_active = 0
   if event_var['mapname'] in str(simp_maplist).split(','):
      simp_noblock_active = 1
   else:
      simp_noblock_active = 0

def player_spawn(event_var):
   global simp_noblock_active   
   simp_uid = event_var['userid']
   if simp_noblock_active == 1:
      es.setplayerprop(simp_uid, 'CBaseEntity.m_CollisionGroup', 2)